Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158751 - Need to provide /usr/share/java/jaxp_parser_impl.jar alternative
Summary: Need to provide /usr/share/java/jaxp_parser_impl.jar alternative
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-25 13:20 UTC by Gary Benson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 22:17:22 UTC


Attachments (Terms of Use)

Description Gary Benson 2005-05-25 13:20:04 UTC
java-1.4.2-gcj-compat provides (in the rpm sense) jaxp_parser_impl but does not
provide the /usr/share/java/jaxp_parser_impl.jar alternative symlink.  The
relevant classes are found ok (they're in libgcj.jar) but the missing link
causes JPackage applications that use "build-classpath jaxp_parser_impl" to emit
error messages.

Comment 1 Thomas Fitzsimmons 2005-05-26 04:05:56 UTC
So the /usr/share/java/jaxp_parser_impl.jar alternative symlink should point to
libgcj.jar?


Comment 2 Gary Benson 2005-05-26 09:02:03 UTC
Yeah, I guess, since it worked for all the other dummy jarfiles.

Comment 3 Thomas Fitzsimmons 2005-05-26 22:17:22 UTC
Should be fixed in java-1.4.2-gcj-compat-1.4.2.0-40jpp_30rh.  Closing.



Note You need to log in before you can comment on or make changes to this bug.